# Variable bytes`Const`

bytes: {
concat: ((...args) => Uint8Array);
decode: ((value) => string);
encode: ((value) => Uint8Array);
equals: ((lhs, rhs) => boolean);
zpad: ((arr, length, padStart?) => Uint8Array);
}

#### Type declaration

- ##### concat: ((...args) => Uint8Array)

  - - (...args): Uint8Array

    - #### Parameters

      - ##### `Rest` ...args: Uint8Array[]

      #### Returns Uint8Array

- ##### decode: ((value) => string)

  - - (value): string

    - #### Parameters

      - ##### value: Uint8Array

      #### Returns string

- ##### encode: ((value) => Uint8Array)

  - - (value): Uint8Array

    - #### Parameters

      - ##### value: string

      #### Returns Uint8Array

- ##### equals: ((lhs, rhs) => boolean)

  - - (lhs, rhs): boolean

    - #### Parameters

      - ##### lhs: Uint8Array

      - ##### rhs: Uint8Array

      #### Returns boolean

- ##### zpad: ((arr, length, padStart?) => Uint8Array)

  - - (arr, length, padStart?): Uint8Array

    - #### Parameters

      - ##### arr: Uint8Array

      - ##### length: number

      - ##### `Optional` padStart: boolean

      #### Returns Uint8Array

- Defined in core/base/dist/esm/utils/encoding.d.ts:23

Generated using TypeDoc